Range-v3 Range algorithms, views, and actions for the Standard Library |

Public Member Functions | List of all members
ranges::v3::concepts::RandomNumberGenerator Struct Reference

## Public Member Functions
template<typename Gen , typename D >
auto | requires_ (Gen &&, D &&d) -> decltype( concepts::valid_expr( concepts::model_of< Integral, D >(), concepts::convertible_to< D >(val< Gen >()(d)) ))